Main Page | Modules | Class List | File List | Class Members | File Members

# Callback registration
[Friends Service]

Register the callbacks function names. More...

## Functions
GSbool | FriendsFix_LoginResult (CBFriendsRcv_LoginResult fLoginResult)
| Set the function name for the callback.
GSbool | FriendsFix_AddFriend (CBFriendsRcv_AddFriend fAddFriend)
| Set the function name for the callback.
GSbool | FriendsFix_DelFriend (CBFriendsRcv_DelFriend fDelFriend)
| Set the function name for the callback.
GSvoid | FriendsFix_IgnorePlayer (CBFriendsRcv_IgnorePlayer fIgnorePlayer)
| Set the function name for the callback.
GSvoid | FriendsFix_UnignorePlayer (CBFriendsRcv_UnignorePlayer fUnignorePlayer)
| Set the function name for the callback.
GSvoid | FriendsFix_ListIgnoredPlayers (CBFriendsRcv_ListIgnoredPlayers fListIgnoredPlayers)
| Set the function name for the callback.
GSvoid | FriendsFix_IgnoredPlayer (CBFriendsRcv_IgnoredPlayer fIgnoredPlayer)
| Set the function name for the callback.
GSbool | FriendsFix_Page (CBFriendsRcv_Page fPage)
| Set the function name for the callback.
GSbool | FriendsFix_PagePlayer (CBFriendsRcv_PagePlayer fPagePlayer)
| Set the function name for the callback.
GSbool | FriendsFix_PeerMsg (CBFriendsRcv_PeerMsg fPeerMsg)
| Set the function name for the callback.
GSbool | FriendsFix_PeerPlayer (CBFriendsRcv_PeerPlayer fPeerPlayer)
| Set the function name for the callback.
GSbool | FriendsFix_StatusChange (CBFriendsRcv_StatusChange fStatusChange)
| Set the function name for the callback.
GSbool | FriendsFix_ChangeFriend (CBFriendsRcv_ChangeFriend fChangeFriend)
| Set the function name for the callback.
GSbool | FriendsFix_UpdateFriend (CBFriendsRcv_UpdateFriend fUpdateFriend)
| Set the function name for the callback.
GSbool | FriendsFix_SearchPlayer (CBFriendsRcv_SearchPlayer fSearchPlayer)
| Set the function name for the callback.
GSbool | FriendsFix_ScoreCard (CBFriendsRcv_ScoreCard fScoreCard)
| Set the function name for the callback.

## Detailed Description

Theses functions are used to set the function name for the callbacks of the friends service.

## Function Documentation

GSbool FriendsFix_AddFriend | ( | CBFriendsRcv_AddFriend | fAddFriend | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fAddFriend | Name of a function of type CBFriendsRcv_AddFriend

GSbool FriendsFix_ChangeFriend | ( | CBFriendsRcv_ChangeFriend | fChangeFriend | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fChangeFriend | Name of a function of type CBFriendsRcv_ChangeFriend

GSbool FriendsFix_DelFriend | ( | CBFriendsRcv_DelFriend | fDelFriend | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fDelFriend | Name of a function of type CBFriendsRcv_DelFriend

GSvoid FriendsFix_IgnoredPlayer | ( | CBFriendsRcv_IgnoredPlayer | fIgnoredPlayer | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fIgnoredPlayer | Name of a function of type CBFriendsRcv_IgnoredPlayer

GSvoid FriendsFix_IgnorePlayer | ( | CBFriendsRcv_IgnorePlayer | fIgnorePlayer | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fIgnorePlayer | Name of a function of type CBFriendsRcv_IgnorePlayer

GSvoid FriendsFix_ListIgnoredPlayers | ( | CBFriendsRcv_ListIgnoredPlayers | fListIgnoredPlayers | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fListIgnoredPlayers | Name of a function of type CBFriendsRcv_ListIgnoredPlayers

GSbool FriendsFix_LoginResult | ( | CBFriendsRcv_LoginResult | fLoginResult | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLoginResult | Name of a function of type CBFriendsRcv_LoginResult

GSbool FriendsFix_Page | ( | CBFriendsRcv_Page | fPage | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPage | Name of a function of type CBFriendsRcv_Page

GSbool FriendsFix_PagePlayer | ( | CBFriendsRcv_PagePlayer | fPagePlayer | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPagePlayer | Name of a function of type CBFriendsRcv_PagePlayer

GSbool FriendsFix_PeerMsg | ( | CBFriendsRcv_PeerMsg | fPeerMsg | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPeerMsg | Name of a function of type CBFriendsRcv_PeerMsg

GSbool FriendsFix_PeerPlayer | ( | CBFriendsRcv_PeerPlayer | fPeerPlayer | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPeerPlayer | Name of a function of type CBFriendsRcv_PeerPlayer

GSbool FriendsFix_ScoreCard | ( | CBFriendsRcv_ScoreCard | fScoreCard | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fScoreCard | Name of a function of type CBFriendsRcv_ScoreCard

GSbool FriendsFix_SearchPlayer | ( | CBFriendsRcv_SearchPlayer | fSearchPlayer | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fSearchPlayer | Name of a function of type CBFriendsRcv_SearchPlayer

GSbool FriendsFix_StatusChange | ( | CBFriendsRcv_StatusChange | fStatusChange | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fStatusChange | Name of a function of type CBFriendsRcv_StatusChange

GSvoid FriendsFix_UnignorePlayer | ( | CBFriendsRcv_UnignorePlayer | fUnignorePlayer | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fUnignorePlayer | Name of a function of type CBFriendsRcv_UnignorePlayer

GSbool FriendsFix_UpdateFriend | ( | CBFriendsRcv_UpdateFriend | fUpdateFriend | ) |

  | Description: This function is used to set the function name for the callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fUpdateFriend | Name of a function of type CBFriendsRcv_UpdateFriend

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team